<template>
  <div
    @mouseenter="hover = true"
    @mouseleave="hover = false"
    class="flex select-none cursor-pointer"
  >
    <div
      class="bg-white flex w-full items-center p-2 rounded-xl"
      :class="{ 'bg-gray-100': hover }"
      v-ripple
    >
      <div class="flex-grow flex-col p-3">
        <div class="font-bold text-gray-700">
          Evaluation en {{ evaluation.savoir.nom }}
        </div>
        <div class="italic text-sm text-gray-400">
          {{ new Date(evaluation.date.seconds * 1000).toLocaleDateString() }}
        </div>
        <div>
          {{ evaluationProgression }}
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "MatCompSavCardItem",

  props: {
    evaluation: Object,
  },

  data() {
    return {
      hover: false,
    };
  },
  computed: {
    evaluationProgression() {
      return this.$store.getters.nbOfElevesEvaluated(this.evaluation);
    },
  },
};
</script>

